<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2023 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<configuration description="TF Config for AdServices Ui Cts test">
    <target_preparer class="com.android.tradefed.targetprep.RootTargetPreparer"/>

    <target_preparer class="com.android.tradefed.targetprep.RunCommandTargetPreparer">
        <option name="run-command" value="device_config set_sync_disabled_for_tests persistent"/>
        <option name="teardown-command" value="device_config set_sync_disabled_for_tests none"/>

        <option name="run-command" value="setprop log.tag.adservices VERBOSE" />
        <option
            name="run-command"
            value="setprop debug.adservices.consent_notification_debug_mode false"/>
        <option
            name="run-command"
            value="device_config put adservices ui_ota_strings_feature_enabled false"/>
        <option
            name="run-command"
            value="device_config put adservices is_eea_device_feature_enabled true"/>
        <option name="run-command" value="device_config put adservices global_kill_switch false"/>
        <option
            name="run-command"
            value="device_config put adservices adservice_enable_status true"/>
        <option
            name="run-command"
            value="device_config put adservices adservice_enabled true"/>
        <option
            name="run-command"
            value="device_config put adservices enable_ad_services_system_api true"/>
        <option
            name="run-command"
            value="setprop debug.adservices.consent_notification_debug_mode false"/>
        <!-- override scheduling params so the test is unaffected by time of the day -->
        <option
            name="run-command"
            value="device_config put adservices consent_notification_interval_begin_ms 0"/>
        <!-- end of day (24 hours) -->
        <option
            name="run-command"
            value="device_config put adservices consent_notification_interval_end_ms 86400000"/>
        <option
            name="run-command"
            value="device_config put adservices consent_notification_minimal_delay_before_interval_ends 0"/>
    </target_preparer>

    <target_preparer class="com.android.tradefed.targetprep.suite.SuiteApkInstaller">
        <option name="cleanup-apks" value="true"/>
        <option name="test-file-name" value="AdServicesU18UxDebugChannelCtsRootTest.apk"/>
    </target_preparer>

    <metrics_collector class="com.android.tradefed.device.metric.FilePullerLogCollector">
        <option name="directory-keys" value="/sdcard/Documents/adservices-tests" />
        <option name="clean-up" value="false" />
        <option name="collect-on-run-ended-only" value="true" />
    </metrics_collector>

    <metrics_collector class="com.android.tradefed.device.metric.FilePullerLogCollector">
        <option name="directory-keys" value="/data/system/files" />
        <option name="clean-up" value="false" />
        <option name="collect-on-run-ended-only" value="true" />
    </metrics_collector>


    <test class="com.android.tradefed.testtype.AndroidJUnitTest">
        <option name="package" value="com.android.adservices.tests.ui.u18ux.debugchannel"/>
        <option name="restart" value="false"/>
    </test>
</configuration>
